Subject: Re: [PATCH] doc: update information about windows build

From: Kaartic Sivaraam <[email-masked]>
Date: Sun, 17 Sep 2017 19:12:57 +0530

On Sun, 2017-09-17 at 14:24 +0100, Phillip Wood wrote:
> 
>  From that commit:
> diff --git a/ci/run-windows-build.sh b/ci/run-windows-build.sh
> new file mode 100755
> index 000000000..4e3a50b60
> --- /dev/null
> +++ b/ci/run-windows-build.sh
> @@ -0,0 +1,74 @@
> +#!/usr/bin/env bash
> +#
> +# Script to trigger the a Git for Windows build and test run.
> +# Set the $GFW_CI_TOKEN as environment variable.
> +# Pass the branch (only branches on https://github.com/git/git are
> +# supported) and a commit hash.
> +#
> 
> so only git/git from github gets built on windows, not other peoples 
> trees. One cannot use travis to test ones changes on windows before 
> submitting them
> 

Thanks for pointing it out didn't notice it. I have been confused by
the presence of the build named 'Windows' that I see even on my tree. I
 always see a green check mark near it which tricked me into believing
that they were running successfully. I didn't know they were being
skipped all these days! 

May be the Windows build exit with failure on other repos rather than
saying it passes?

---
Kaartic